Webhook Events
Webhook Events endpoints for the CRM API
Key terms for this page
- Unified API
- A common interface and data model for a category of services, such as accounting.
- Consumer
- An Apideck record representing the customer or isolated customer account whose integrations you access.
- Connector
- Apideck’s integration with a downstream service, such as QuickBooks, Xero or NetSuite.
Activity CreatedWebhook
Event broadcast when an activity has been created.
Header parameters
The type of event that was triggered
HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck
A unique identifier for the webhook event, can be used to prevent duplicate processing
Request body schema
Responses
Mapping coverage per connector
Example Event
{
"payload": {
"event_type": "crm.activity.created",
"unified_api": "crm",
"service_id": "hubspot",
"consumer_id": "test_user_id",
"event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"entity_id": "123456ASDF",
"entity_url": "https://unify.apideck.com/crm/activities/123456ASDF",
"entity_type": "activity",
"occurred_at": "2020-01-01T00:00:00.000Z"
}
}Activity UpdatedWebhook
Event broadcast when an activity has been updated.
Header parameters
The type of event that was triggered
HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck
A unique identifier for the webhook event, can be used to prevent duplicate processing
Request body schema
Responses
Mapping coverage per connector
Example Event
{
"payload": {
"event_type": "crm.activity.updated",
"unified_api": "crm",
"service_id": "hubspot",
"consumer_id": "test_user_id",
"event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"entity_id": "123456ASDF",
"entity_url": "https://unify.apideck.com/crm/activities/123456ASDF",
"entity_type": "activity",
"occurred_at": "2020-01-01T00:00:00.000Z"
}
}Activity DeletedWebhook
Event broadcast when an activity has been deleted.
Header parameters
The type of event that was triggered
HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck
A unique identifier for the webhook event, can be used to prevent duplicate processing
Request body schema
Responses
Example Event
{
"payload": {
"event_type": "crm.activity.deleted",
"unified_api": "crm",
"service_id": "hubspot",
"consumer_id": "test_user_id",
"event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"entity_id": "123456ASDF",
"entity_url": "https://unify.apideck.com/crm/activities/123456ASDF",
"entity_type": "activity",
"occurred_at": "2020-01-01T00:00:00.000Z"
}
}Company CreatedWebhook
Event broadcast when a company has been created.
Header parameters
The type of event that was triggered
HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck
A unique identifier for the webhook event, can be used to prevent duplicate processing
Request body schema
Responses
Mapping coverage per connector
Example Event
{
"payload": {
"event_type": "crm.company.created",
"unified_api": "crm",
"service_id": "hubspot",
"consumer_id": "test_user_id",
"event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"entity_id": "123456ASDF",
"entity_url": "https://unify.apideck.com/crm/companies/123456ASDF",
"entity_type": "company",
"occurred_at": "2020-01-01T00:00:00.000Z"
}
}Company UpdatedWebhook
Event broadcast when a company has been updated.
Header parameters
The type of event that was triggered
HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck
A unique identifier for the webhook event, can be used to prevent duplicate processing
Request body schema
Responses
Mapping coverage per connector
Example Event
{
"payload": {
"event_type": "crm.company.updated",
"unified_api": "crm",
"service_id": "hubspot",
"consumer_id": "test_user_id",
"event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"entity_id": "123456ASDF",
"entity_url": "https://unify.apideck.com/crm/companies/123456ASDF",
"entity_type": "company",
"occurred_at": "2020-01-01T00:00:00.000Z"
}
}Company DeletedWebhook
Event broadcast when a company has been deleted.
Header parameters
The type of event that was triggered
HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck
A unique identifier for the webhook event, can be used to prevent duplicate processing
Request body schema
Responses
Mapping coverage per connector
Example Event
{
"payload": {
"event_type": "crm.company.deleted",
"unified_api": "crm",
"service_id": "hubspot",
"consumer_id": "test_user_id",
"event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"entity_id": "123456ASDF",
"entity_url": "https://unify.apideck.com/crm/companies/123456ASDF",
"entity_type": "company",
"occurred_at": "2020-01-01T00:00:00.000Z"
}
}Contact CreatedWebhook
Event broadcast when a contact has been created.
Header parameters
The type of event that was triggered
HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck
A unique identifier for the webhook event, can be used to prevent duplicate processing
Request body schema
Responses
Mapping coverage per connector
Example Event
{
"payload": {
"event_type": "crm.contact.created",
"unified_api": "crm",
"service_id": "hubspot",
"consumer_id": "test_user_id",
"event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"entity_id": "123456ASDF",
"entity_url": "https://unify.apideck.com/crm/contacts/123456ASDF",
"entity_type": "contact",
"occurred_at": "2020-01-01T00:00:00.000Z"
}
}Contact UpdatedWebhook
Event broadcast when a contact has been updated.
Header parameters
The type of event that was triggered
HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck
A unique identifier for the webhook event, can be used to prevent duplicate processing
Request body schema
Responses
Mapping coverage per connector
Example Event
{
"payload": {
"event_type": "crm.contact.updated",
"unified_api": "crm",
"service_id": "hubspot",
"consumer_id": "test_user_id",
"event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"entity_id": "123456ASDF",
"entity_url": "https://unify.apideck.com/crm/contacts/123456ASDF",
"entity_type": "contact",
"occurred_at": "2020-01-01T00:00:00.000Z"
}
}Contact DeletedWebhook
Event broadcast when a contact has been deleted.
Header parameters
The type of event that was triggered
HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck
A unique identifier for the webhook event, can be used to prevent duplicate processing
Request body schema
Responses
Mapping coverage per connector
Example Event
{
"payload": {
"event_type": "crm.contact.deleted",
"unified_api": "crm",
"service_id": "hubspot",
"consumer_id": "test_user_id",
"event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"entity_id": "123456ASDF",
"entity_url": "https://unify.apideck.com/crm/contacts/123456ASDF",
"entity_type": "contact",
"occurred_at": "2020-01-01T00:00:00.000Z"
}
}Lead CreatedWebhook
Event broadcast when a lead has been created.
Header parameters
The type of event that was triggered
HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck
A unique identifier for the webhook event, can be used to prevent duplicate processing
Request body schema
Responses
Mapping coverage per connector
Example Event
{
"payload": {
"event_type": "crm.lead.created",
"unified_api": "crm",
"service_id": "hubspot",
"consumer_id": "test_user_id",
"event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"entity_id": "123456ASDF",
"entity_url": "https://unify.apideck.com/crm/leads/123456ASDF",
"entity_type": "lead",
"occurred_at": "2020-01-01T00:00:00.000Z"
}
}Lead UpdatedWebhook
Event broadcast when a lead has been updated.
Header parameters
The type of event that was triggered
HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck
A unique identifier for the webhook event, can be used to prevent duplicate processing
Request body schema
Responses
Mapping coverage per connector
Example Event
{
"payload": {
"event_type": "crm.lead.updated",
"unified_api": "crm",
"service_id": "hubspot",
"consumer_id": "test_user_id",
"event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"entity_id": "123456ASDF",
"entity_url": "https://unify.apideck.com/crm/leads/123456ASDF",
"entity_type": "lead",
"occurred_at": "2020-01-01T00:00:00.000Z"
}
}Lead DeletedWebhook
Event broadcast when a lead has been deleted.
Header parameters
The type of event that was triggered
HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck
A unique identifier for the webhook event, can be used to prevent duplicate processing
Request body schema
Responses
Mapping coverage per connector
Example Event
{
"payload": {
"event_type": "crm.lead.deleted",
"unified_api": "crm",
"service_id": "hubspot",
"consumer_id": "test_user_id",
"event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"entity_id": "123456ASDF",
"entity_url": "https://unify.apideck.com/crm/leads/123456ASDF",
"entity_type": "lead",
"occurred_at": "2020-01-01T00:00:00.000Z"
}
}Note CreatedWebhook
Event broadcast when a note has been created.
Header parameters
The type of event that was triggered
HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck
A unique identifier for the webhook event, can be used to prevent duplicate processing
Request body schema
Responses
Mapping coverage per connector
Example Event
{
"payload": {
"event_type": "crm.note.created",
"unified_api": "crm",
"service_id": "hubspot",
"consumer_id": "test_user_id",
"event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"entity_id": "123456ASDF",
"entity_url": "https://unify.apideck.com/crm/notes/123456ASDF",
"entity_type": "note",
"occurred_at": "2020-01-01T00:00:00.000Z"
}
}Note UpdatedWebhook
Event broadcast when a note has been updated.
Header parameters
The type of event that was triggered
HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck
A unique identifier for the webhook event, can be used to prevent duplicate processing
Request body schema
Responses
Mapping coverage per connector
Example Event
{
"payload": {
"event_type": "crm.note.updated",
"unified_api": "crm",
"service_id": "hubspot",
"consumer_id": "test_user_id",
"event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"entity_id": "123456ASDF",
"entity_url": "https://unify.apideck.com/crm/notes/123456ASDF",
"entity_type": "note",
"occurred_at": "2020-01-01T00:00:00.000Z"
}
}Note DeletedWebhook
Event broadcast when a note has been deleted.
Header parameters
The type of event that was triggered
HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck
A unique identifier for the webhook event, can be used to prevent duplicate processing
Request body schema
Responses
Mapping coverage per connector
Example Event
{
"payload": {
"event_type": "crm.note.deleted",
"unified_api": "crm",
"service_id": "hubspot",
"consumer_id": "test_user_id",
"event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"entity_id": "123456ASDF",
"entity_url": "https://unify.apideck.com/crm/notes/123456ASDF",
"entity_type": "note",
"occurred_at": "2020-01-01T00:00:00.000Z"
}
}Opportunity CreatedWebhook
Event broadcast when an opportunity has been created.
Header parameters
The type of event that was triggered
HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck
A unique identifier for the webhook event, can be used to prevent duplicate processing
Request body schema
Responses
Mapping coverage per connector
Example Event
{
"payload": {
"event_type": "crm.opportunity.created",
"unified_api": "crm",
"service_id": "hubspot",
"consumer_id": "test_user_id",
"event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"entity_id": "123456ASDF",
"entity_url": "https://unify.apideck.com/crm/opportunities/123456ASDF",
"entity_type": "opportunity",
"occurred_at": "2020-01-01T00:00:00.000Z"
}
}Opportunity UpdatedWebhook
Event broadcast when an opportunity has been updated.
Header parameters
The type of event that was triggered
HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck
A unique identifier for the webhook event, can be used to prevent duplicate processing
Request body schema
Responses
Mapping coverage per connector
Example Event
{
"payload": {
"event_type": "crm.opportunity.updated",
"unified_api": "crm",
"service_id": "hubspot",
"consumer_id": "test_user_id",
"event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"entity_id": "123456ASDF",
"entity_url": "https://unify.apideck.com/crm/opportunities/123456ASDF",
"entity_type": "opportunity",
"occurred_at": "2020-01-01T00:00:00.000Z"
}
}Opportunity DeletedWebhook
Event broadcast when an opportunity has been deleted.
Header parameters
The type of event that was triggered
HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck
A unique identifier for the webhook event, can be used to prevent duplicate processing
Request body schema
Responses
Mapping coverage per connector
Example Event
{
"payload": {
"event_type": "crm.opportunity.deleted",
"unified_api": "crm",
"service_id": "hubspot",
"consumer_id": "test_user_id",
"event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"entity_id": "123456ASDF",
"entity_url": "https://unify.apideck.com/crm/opportunities/123456ASDF",
"entity_type": "opportunity",
"occurred_at": "2020-01-01T00:00:00.000Z"
}
}